<html>
    <body>
        <button onclick="Cargar();">Cargar elementos</button>
        <div id="resultado"></div>
    </body>


<script>  
function Cargar() {
            var xmlhttp = new XMLHttpRequest();
            var url = "prueba.php";
            xmlhttp.onreadystatechange = function() {
                if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                    var array = JSON.parse(xmlhttp.responseText);
                    var i;
                    var out = "<div>";
                    for (i = 0; i < array.length; i++) {
                        out +=
                            array[i].nom_emp +
                            "</br> DIRECCION:" +
                            array[i].calle +
                            " " +
                            array[i].no_ext +
                            "Col." +
                            array[i].des_col +
                            "</br> C.P." +
                            array[i].cod_pos +
                            " Tel: 01 " +
                            array[i].telefono01 +
                            "</br> RFC: "
                            array[i].rfc;
                    }
                    out += "</div>";
                    console.log(out);
                    document.getElementById("resultado").innerHTML = out;
                }
            }
            xmlhttp.open("GET", url, true);
            xmlhttp.send();
        }
    </script>
</html>